Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000417FlexRAID Transparent RAID[All Projects] Generalpublic2016-02-06 20:312017-01-08 09:46
Reporterdschaub 
Assigned ToBrahim 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIntelOSWindowsOS VersionWin7x64
Summary0000417: tRAID crashes when writing a file that over flows the first drive in the array.
DescriptionI've been running tRaid for a couple years and it works well. I updated to the latest release in December, but have the service stop problem.

System is i5-2500K on Asus WS97-Pro with 8GB of RAM and 512GB SSD boot drive 3x 4tb drives under tRaid with 2.65TB of 7.27TB free. 2x DRU, 1 PPU, no landing. Typical usage is for storing a video library for use with Plex plus storage of backups from several other PC's in the house. I have 6-10 backups stored, but ran into a problem with my daughter's PC.

Her machine has a 500GB drive that is almost full. When backing up to the tRaid share, the NZFS service stops and the share disappears at around 93GB transferred. I have retried this a number of times to no avail.

I get ONLY this error in the logfile. There are NO other entries beyond normal messages from machine shutdown or reboot cycles:
[2016-01-03 09:11:18.333230][1420] [WARN]:[OnSetEndOfFile] SetLengthByHandle/Attempting to move...: error=112, msg=Error code=112 - Message=Unknown error
         \Backup\Andrew2\Andrew2-W7-Final-00-00.mrimg.tmp -> [SG4-D1]::[Partition1]\Backup\Andrew2\Andrew2-W7-Final-00-00.mrimg.tmp


I suspect this to be caused by possibly filling one of the drives (maybe DRU's not balanced or PPU is full), I'm really not sure how to start troubleshooting this issue.

PS - I went into windows drive manager and added drive letters to the traid DRU drives.

Of the two dru's, the first shows only 55GB of free space (4TB drives) while the second shows 2.6TB free.

I have used the same Macrium program to backup many PC's to this same tRaid location without a problem. It normally works well.

Currently, If I save anything larger than 55GB, the stop occurs, so I'm pretty certain that the bug is in the over flow logic. I have not watched the drives, but perhaps it hangs if the spill over drive is sleeping and needs to spin up.
Steps To ReproduceCopy any sufficiently large file. In the current case of my machine, copying a 100GB (image file from Macrium Reflect Backup).

FYI: Macrium does not pre-allocate the full space needed for the file. I just starts writing the file to the destination folder.

About Macrium: It is a "Free for personal use" PC Backup and drive imaging software (similar to Ghost). Just google for Macrium Reflect Free.
Additional InformationHost and client files were installed with latest files at the beginning of Jan 2016.

Host: v1.0.0.2015.11.12
Client: v1.0.0.2015.11.09

All windows patches installed.
Running Kaspersky Internet 2016 AV.

The array is comprised of 3x 4TB drives setup with pretty much all default settings (plus AutoStart Enabled). Normally, only the
TagsNo tags attached.
tRAID Version 1.0
Attached Files

- Relationships

-  Notes
(0001645)
Brahim (manager)
2017-01-08 09:46

This has been tested to be resolved for the next build.
On a side note, do properly configure your reserve space to match your data usage so that you don't have these over spills.

- Issue History
Date Modified Username Field Change
2016-02-06 20:31 dschaub New Issue
2017-01-08 09:46 Brahim Note Added: 0001645
2017-01-08 09:46 Brahim Status new => resolved
2017-01-08 09:46 Brahim Resolution open => fixed
2017-01-08 09:46 Brahim Assigned To => Brahim


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker